%global npm_name supervisor

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Summary:       A supervisor program for running nodejs programs
Name:          %{?scl_prefix}nodejs-%{npm_name}
Version:       0.5.2
Release:       3%{?dist}
Group:         System Environment/Libraries
License:       MIT
URL:           https://github.com/isaacs/node-supervisor
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# They have added a LICENSE file, but not updated the package
# We are including their LICENSE file until the next version, when
#   the file should be in the tarball
# https://raw.github.com/isaacs/node-supervisor/master/LICENSE
SOURCE1:       nodejs-supervisor-LICENSE
BuildRequires: %{?scl_prefix}nodejs-devel
#BuildRequires: txt2man
BuildArch:     noarch

%description
A little supervisor script for nodejs. It runs your program,
and watches for code changes, so you can have hot-code 
reloading like behavior, without worrying about memory leaks 
and making sure you clean up all the inter-module references, 
and without a whole new require system. 

%prep
%setup -q -n package

cp -pr %{SOURCE1} LICENSE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{npm_name}/lib/cli-wrapper.js %{buildroot}%{_bindir}/node-supervisor
ln -s %{nodejs_sitelib}/%{npm_name}/lib/cli-wrapper.js %{buildroot}%{_bindir}/supervisor

# There is no txt2man in RHEL
## Create man pages
#mkdir -p %{buildroot}%{_mandir}/man1
#%{buildroot}%{nodejs_sitelib}/%{npm_name}/lib/cli-wrapper.js -h > helpfile
#txt2man -P node-supervisor -t node-supervisor -r %{version} helpfile > %{buildroot}%{_mandir}/man1/node-supervisor.1
#txt2man -P supervisor -t supervisor -r %{version} helpfile > %{buildroot}%{_mandir}/man1/supervisor.1
#rm -f helpfile

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/node-supervisor
%{_bindir}/supervisor
#%{_mandir}/man1/*

%changelog
* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> - 0.5.2-3
- Add support for software collections

* Tue May 28 2013 Troy Dawson <tdawson@redhat.com> - 0.5.2-2
- Fixed Summary and Description spelling errors
- Added BSD License file, from upstream
- Create man pages

* Fri Mar 01 2013 Troy Dawson <tdawson@redhat.com> - 0.5.2-1
- Update to 0.5.2
- Update spec to Fedora nodejs standards

* Wed Sep 05 2012 Troy Dawson <tdawson@redhat.com> - 0.4.1-2
- Rewored spec file using tchor template

* Wed Sep 05 2012 Troy Dawson <tdawson@redhat.com> - 0.4.1-1
- Initial build

